%define	name			imlib2
%define	version			1.0.6
%define release			2mdk
%define lib_name_orig		libimlib2
%define lib_major		_1
%define lib_name		%{lib_name_orig}%{lib_major}
%define prefix			%{_prefix}

Summary:		Powerful image loading and rendering library
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			%{name}-%{version}.tar.bz2
URL:			http://www.rasterman.com/raster/imlib.htm
Packager:		Vincent Guardiola <vguardiola@mandrakesoft.com>
Group:			System/Libraries
BuildRequires:  XFree86-devel, autoconf, automake, freetype-devel, gcc, libjpeg-devel, libjpeg-devel, libpng-devel, libtiff-devel, libungif-devel, texinfo
BuildConflicts: freetds-devel

BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		freetype, XFree86
License:		GPL

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

# main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary: LibAST is the Library of Assorted Spiffy Things
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Requires: %{lib_name}-filters = %{version},  %{lib_name}-loaders = %{version}

%description -n %{lib_name}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

# devel part of the bundle
%package -n %{lib_name}-devel
Summary: Imlib2 headers, static libraries and documentation
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%package  -n %{lib_name}-filters
Summary: Imlib2 basic plugin filters set
Group: System/Libraries
Requires: %{lib_name} = %{version}


%description  -n %{lib_name}-filters
Basic set of plugin filters that come with Imlib2


%package -n %{lib_name}-loaders
Summary: Imlib2 loader (JPEG, PNG, DB, ARGB, BMP, GIF, PNM, TGA, TIFF, XPM)
Group: System/Libraries
Requires: %{lib_name} = %{version}, libjpeg, libpng, zlib, libungif, libtiff


%description  -n %{lib_name}-loaders
Image loader/saver for Imlib2



%prep
rm -rf $RPM_BUILD_ROOT
%setup  -q

%build
if [ -f configure ]
then
  %configure --disable-mmx
else
  # can't build as root? gah. ;)
  sed <autogen.sh 's@$USER@ANNOYING@' >autogen.sh1
  mv -f autogen.sh1 autogen.sh
  chmod 0700 autogen.sh
  ./autogen.sh --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir} --includedir=%{_includedir}
fi

%make

%install
%makeinstall

#Cleaning la files for bad /home
cd  $RPM_BUILD_ROOT%{_libdir}/loaders/image/
for i in $(ls *la); do
echo Patching $i
perl -pi -e 's|\-L\/home\/vguardiola\/rpm\/BUILD\/imlib2\-1\.0\.6\/src||g' $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post  -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,0755)
%doc AUTHORS README
%{_libdir}/lib*.so.*
%{_bindir}/*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html doc/imlib2.gif doc/blank.gif
%{_libdir}/libImlib2.so
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/loaders/image/*.a
%{_libdir}/loaders/filter/*.a
%{_includedir}/*

%files -n %{lib_name}-filters
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING
%{_libdir}/loaders/filter/*.so
%{_libdir}/loaders/filter/*.la

%files -n %{lib_name}-loaders
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING
%{_libdir}/loaders/image/*.so
%{_libdir}/loaders/image/*.la


%changelog
* Fri Dec 06 2002 Vincent Guardiola <vguardiola@mandrakesoft.com> 1.0.6-2mdk
- Add Requires
- Clean spec file

* Fri Dec 06 2002 Vincent Guardiola <vguardiola@mandrakesoft.com> 1.0.6-1mdk
- - Release 1.0.6
- Fixing bad path in la files

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.5-2mdk
- rebuild for libintl2
- BuildConflicts freetds-devel

* Mon Mar 25 2002 Vincent Guardiola <vguardiola@mandrakesoft.com> 1.0.5-1mdk
- - Release 1.0.5

* Wed Jan 23 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.4-3mdk
- --disable-mmx in %%configure
- mandrakezicacion: macros and macros and macros

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-2mdk
- BuildRequires

* Wed Nov 28 2001 Vincent Guardiola  <vguardiola@mandrakesoft.com> 1.0.4-1mdk
- Initial package for MDK

* Tue Aug 28 2001 Alvaro Herrera <alvherre@dcc.uchile.cl>
- Remove loader_db since it's included in a different package.

* Mon Jan 8 2001 The Rasterman <raster@rasterman.com>
- Fix Requires & BuildRequires for freetype.

* Sat Sep 30 2000 Lyle Kempler <term@kempler.net>
- Bring back building imlib2 as root via autogen.sh for the lazy (me)
- Some minor changes

* Sat Sep 30 2000 Joakim Bodin <bodin@dreamhosted.com>
- Linux-Mandrake:ise the spec file

* Tue Sep 12 2000 The Rasterman <raster@rasterman.com>
- Redo spec file

* Wed Aug 30 2000 Lyle Kempler <kempler@utdallas.edu>
- Include imlib2-config

* Sat May 20 2000 Lyle Kempler <kempler@utdallas.edu>
- Fixed problems with requiring imlib2_view
- Went back to imlib2_view (not imlib2-view)

* Tue Nov 2 1999 Lyle Kempler <kempler@utdallas.edu>
- Mangled imlib 1.9.8 imlib spec file into imlib2 spec file
